BigIPRealServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.vip.bigip.BigIPRealServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net.vip.bigip
Interface BigIPRealServer

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, RealServer, java.io.Serializable

    public interface BigIPRealServer

extends RealServer

A real server that a VIP maps to

Author:
  viswanath
Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getMemberPriority()`
`int` | `getMemberRatio()`
`java.lang.String` | `getRealServerGroupName()`
`boolean` | `hasMemberPriority()`
`boolean` | `hasMemberRatio()`
`boolean` | `hasRealServerGroupName()`
`void` | `setMemberPriority(int memberPriority)`
`void` | `setMemberRatio(int memberRatio)`
`void` | `setRealServerGroupName(java.lang.String realServerGroupName)`

Methods inherited from interface com.collation.platform.model.topology.net.vip.RealServer
`getIMask, getLoadBalancingWeight, getMappedIpAddress, getParent, getRealPort, hasIMask, hasLoadBalancingWeight, hasMappedIpAddress, hasParent, hasRealPort, setIMask, setLoadBalancingWeight, setMappedIpAddress, setParent, setRealPort`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getMemberRatio

    int getMemberRatio()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMemberRatio

    void setMemberRatio(int memberRatio)

### hasMemberRatio

    boolean hasMemberRatio()

### getMemberPriority

    int getMemberPriority()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMemberPriority

    void setMemberPriority(int memberPriority)

### hasMemberPriority

    boolean hasMemberPriority()

### getRealServerGroupName

    java.lang.String getRealServerGroupName()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRealServerGroupName

    void setRealServerGroupName(java.lang.String realServerGroupName)

### hasRealServerGroupName

    boolean hasRealServerGroupName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD